%define iconname %{name}.png
%define svn 936109
Summary:	A book collection manager
Name:		tellico
Version:	1.9
Release:	%mkrel 0.%svn.4
Epoch:		1
License:	GPLv2+
Group:		Databases
URL:		http://www.periapsis.org/tellico
Source:		http://www.periapsis.org/tellico/download/%{name}-%{version}.%svn.tar.bz2
Patch0:		tellico-1.9-fix-format.patch
Requires:	kdebase4-runtime
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:	kdelibs4-devel 
BuildRequires:	libxslt-devel >= 1.0.19
BuildRequires:	imagemagick
BuildRequires:	icu-devel
BuildRequires:	chrpath
BuildRequires:	taglib-devel
BuildRequires:	libpoppler-qt4-devel
BuildRequires:	libcdda-devel
BuildRequires:	yaz-devel >= 3.0
BuildRequires:	tcp_wrappers-devel 
BuildRequires:  qimageblitz-devel
Obsoletes:	bookcase
Provides:	bookcase
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
Tellico is a KDE application for keeping track of your book collection.

Features:

o Supports collections of books, bibliographic entries, videos, or music. 
o Supports any number of user-defined fields, of eight different types:
   o text, paragraph, list, checkbox, year, URL
   o tables of one or two columns.
o Handles books with multiple authors, genres, keywords, etc.
o Automatically formats titles and names
o Supports collection searching and view filtering
o Sorts and groups collection by various properties
o Automatically validates ISBN
o Allows customizable output through XSLT
o Imports Bibtex, Bibtexml, and CSV
o Exports to Bibtex, Bibtexml, CSV, and HTML
o Includes translations for more than nine languages, other than English
o Imports information directly from Amazon.com
   (US, Japan, Germany, and United Kingdom)
o Imports CDDB data
o Scans and imports audio file collections, such as mp3 or ogg
o Imports and exports to Alexandria libraries

%files -f %{name}.lang
%defattr (-,root,root)
#%doc AUTHORS COPYING ChangeLog INSTALL TODO
%{_kde_bindir}/%{name}
%{_kde_datadir}/applications/kde4/tellico.desktop
%{_kde_datadir}/mimelnk/application/x-tellico.desktop
%{_kde_datadir}/mime/packages/tellico.xml
%{_kde_datadir}/apps/%{name}
%{_kde_datadir}/apps/kconf_update/*
%{_kde_datadir}/config.kcfg/tellico_config.kcfg
%{_kde_datadir}/config/*
%{_kde_iconsdir}/hicolor/*/*/*.png

#--------------------------------------------------------------------

%prep
%setup -q -n %name
%patch0 -p0

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build

%find_lang %{name} --with-html

%clean 
rm -rf %{buildroot}


%changelog
* Sat Mar 07 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.9-0.936109.4mdv2009.1
+ Revision: 351484
- Fix deps

* Sat Mar 07 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.9-0.936109.3mdv2009.1
+ Revision: 350987
- Addd BuildRequire
- Fix patch
- Update to kde4 version

* Thu Nov 27 2008 Funda Wang <fundawang@mandriva.org> 1:1.3.4-2mdv2009.1
+ Revision: 307201
- drop kde app dep

* Wed Sep 24 2008 Funda Wang <fundawang@mandriva.org> 1:1.3.4-2mdv2009.0
+ Revision: 287687
- rebuild with poppler-qt3

* Sun Sep 14 2008 Funda Wang <fundawang@mandriva.org> 1:1.3.4-1mdv2009.0
+ Revision: 284746
- update patch and file list
- update admin dir with kde 3.5.10
- add gentoo patch to fix building
- New version 1.3.4
- New version 1.3.3
- New version 1.3.2.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Feb 01 2008 Funda Wang <fundawang@mandriva.org> 1:1.3-1mdv2008.1
+ Revision: 161041
- BR poppler
- BR icu
- New version 1.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.2.14-1mdv2008.0
+ Revision: 93972
- fix file list
- new version

* Tue Jul 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.2.13-1mdv2008.0
+ Revision: 57018
- drop patch 1, as it is fixed upstream
- new version

* Sat Jul 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.2.12-1mdv2008.0
+ Revision: 52022
- new version
- provide patch 1 (compiles against yaz > 3)
- drop old menu style
- fix file list

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against new yaz libs


* Mon Feb 05 2007 Lenny Cartier <lenny@mandriva.com> 1.2.8-1mdv2007.0
+ Revision: 116501
- Update to 1.2.8

* Thu Dec 07 2006 Lenny Cartier <lenny@mandriva.com> 1:1.2.7-1mdv2007.1
+ Revision: 91931
- Update to 1.2.6

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 1.2.6
    - import tellico-1.2.3-1mdv2007.0

* Tue Sep 26 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2.3-1mdv2007.0
- 1.2.2

* Sat Sep 09 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2.1-1mdv2007.0
- 1.2.2 (bugfix release for the bugfix release)

* Fri Sep 08 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2.1-1mdv2007.0
- 1.2.1 (bugfix release)

* Sat Sep 02 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2-1mdv2007.0
- 1.2 final

* Tue Aug 22 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2-0.1pre3mdv2007.0
- 1.2pre3
- adjust BR and R
- add desktop patch to change exec
- don't rm buildroot in prep
- use  post postun database marco and icon cache

* Wed May 31 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.6-4mdv2007.0
- leave the major off the BR

* Tue May 30 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.6-3mdv2007.0
- fix requires
- add cddb support

* Tue May 30 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.6-2mdv2007.0
- use mkrel
- Put all collection mgrs Databases

* Wed May 10 2006 Lenny Cartier <lenny@mandriva.com> 1.1.6-1mdk
- 1.1.6

* Fri Apr 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.5-1mdk
- New release 1.1.5

* Wed Apr 05 2006 Lenny Cartier <lenny@mandriva.com> 1.1.4-1mdk
- 1.1.4

* Mon Mar 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.3-1mdk
- New release 1.1.3

* Mon Mar 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.2-1mdk
- New release 1.1.2

* Tue Feb 28 2006 Jerome quelin <jquelin@gmail.com> 1.1.1-1mdk
- 1.1.1

* Wed Feb 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-2mdk
- fix buildrequires (#19288)

* Wed Jan 25 2006 Lenny Cartier <lenny@mandriva.com> 1.0.3-1mdk
- 1.0.3

* Tue Oct 04 2005 Lenny Cartier <lenny@mandriva.com> 1.0.2-1mdk
- 1.0.2

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.13.8-2mdk
- BuildRequires fix

* Tue Jul 05 2005 Lenny Cartier <lenny@mandriva.com> 0.13.8-1mdk
- 0.13.8

* Tue May 31 2005 Lenny Cartier <lenny@mandriva.com> 0.13.7-1mdk
- 0.13.7

* Mon Apr 11 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.6-1mdk
- 0.13.6

* Wed Mar 09 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.5-1mdk
- 0.13.5

* Mon Feb 28 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.4-1mdk
- 0.13.4

* Sat Feb 05 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.2-1mdk
- 0.13.2
- buildrequires

* Tue Jan 11 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.1-1mdk
- 0.13.1

* Wed Oct 20 2004 Charles A Edwards <eslrahc@mandrake.org> 0.12-1mdk
- Renamed to Tellico because of trademark conflict. 
  Tellico 0.12 is identical to Bookcase 0.11, except for the name change.

* Sun Sep 05 2004 Charles A Edwards <eslrahc@mandrake.org> 0.11-1mdk
- 0.11
- update feature list
- add support for CDDB and audio file metadata
- buildrequires

* Wed Aug 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10-1mdk
- 0.10

* Fri Jun 25 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9.3-1mdk
- 0.9.3
- reenable libtoolize
- patch for gcc3.4

* Sun May 16 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9.1-1mdk
- 0.9.1

* Wed Apr 21 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9-1mdk
- 0.9

* Tue Apr 20 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9-0.pre1.1mdk
- 0.9pre1

* Fri Apr 02 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.5-1mdk
- 0.8.5

* Sun Feb 22 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.4-1mdk
- 0.8.4

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-2mdk
- Fix menu entry

* Sat Feb 07 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.3-1mdk
- 0.8.3

